
CoCoALib - Feature #145

Feature # 143 (In Progress): Buchberger-Moeller (parent task)

Buchberger-Moeller: fast modular impl

01 May 2012 11:37 - John Abbott

Status: New Start date: 01 May 2012

Priority: Urgent Due date:  

Assignee: John Abbott % Done: 0%

Category: New Function Estimated time: 20.00 hours

Target version: CoCoALib-1.0 Spent time: 0.20 hour

Description

Impl BM over a small prime finite field.  Aim for speed.

Input ideals are represented as multiplication matrices (one for each indet).

Related issues:

Related to CoCoALib - Bug #349: IdealOfPoints: gens are actually a GBasis Closed 18 May 2013

History

#1 - 28 Jan 2013 08:11 - Anna Maria Bigatti

- Category set to New Function

#2 - 08 Feb 2013 18:01 - John Abbott

- Assignee set to John Abbott

- Priority changed from Normal to Urgent

- Target version set to CoCoALib-0.9953

#3 - 27 Mar 2013 19:38 - John Abbott

Just a pointless comment to "wake up" this issue.

#4 - 05 Apr 2013 14:06 - Anna Maria Bigatti

... and import cocoa-4 code

#5 - 29 May 2013 17:02 - John Abbott

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99534 Seoul14

No hope of finishing this in time for 0.9953/CoCoA School 2013.

#6 - 29 Oct 2013 15:17 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

#7 - 03 Apr 2014 11:29 - John Abbott

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#8 - 04 Apr 2014 17:45 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#9 - 10 Jul 2014 14:17 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
